/* kerho.cpp */
/* Kerho-ohjelman tietorakenteen ksittely
**
**  Tekijt:          Vesa Lappalainen
**  Tehty:            09.12.1995
**
*/

#include <string>
using namespace std;
#include "kerho.h"
                          
//----------------------------------------------------------------------------
// Kerhon toteutus:
//----------------------------------------------------------------------------

string cKerho::lue_tiedostosta(const string &tied)
{
  // Pahasti kesken
  string virhe = jasenet.lue_tiedostosta(tied);
  if ( virhe != "" ) return virhe;
  return "";
}

#ifdef KERHOTESTI
int main(void)
{
  cKerho kerho;

  kerho.lue_tiedostosta("kelmit");

  cJasen aku;
  aku.vastaa_aku_ankka();



  string virhe = kerho.lisaa(aku);
  if ( virhe != "" ) cout << virhe << endl;

  aku.vastaa_aku_ankka();
  kerho.lisaa(aku);

  cout << " ================= Kerhon testi ======================\n";
  for (int i=0; i<kerho.Jasenia(); i++) {
    const cJasen &jasen = kerho.anna_jasen(i);
    cout << "Jsen nro: " << i << endl;
    jasen.tulosta(cout);
  }


  return 0;
}

#endif