/* kerho.h */
/* Kerho-ohjelman tietorakenteen mrittely
**
**  Tekijt:          Vesa Lappalainen
**  Tehty:            09.12.1995
**
*/

#ifndef __KERHO_H
#define __KERHO_H

#include <string>
using namespace std;
#include "jasenet.h"


//----------------------------------------------------------------------------
// Kerhon mrittely:
//----------------------------------------------------------------------------

class cKerho {
  cJasenet jasenet;

  void alusta()                          {                                   }
public:
  cKerho() : jasenet()                   { alusta();                         }
  ~cKerho()                              { talleta();                        }

  string lue_tiedostosta(const string &tied);
  string talleta()                       { return jasenet.talleta();         }

  const string &Kerhon_nimi()    const   { return jasenet.Koko_nimi();       }
  int Jasenia()                  const   { return jasenet.Lkm();             }
  // poista poistaa jsenistst ja harrasteista ne joilla on nro - tekemtt!
  int poista(int nro)                    { return 0;                         }
  int TeeBak(const string &bak_tark)     { return jasenet.TeeBak(bak_tark);  }
  string Tiedoston_nimi() const          { return jasenet.Tiedoston_nimi();  }
  string Bak_nimi() const                { return jasenet.Bak_nimi();        }
  string lisaa(const cJasen &jasen)      { return jasenet.lisaa(jasen);      }
  const cJasen &anna_jasen(int i) const  { return jasenet.anna(i);           }
};

#endif